"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DigitalOcean = void 0;
const axios_instance_1 = require("./axios-instance");
const environment_1 = require("./conf/environment");
const account_service_1 = require("./services/account/account.service");
const actions_service_1 = require("./services/actions/actions.service");
const billing_history_service_1 = require("./services/billing-history/billing-history.service");
const block_storage_actions_service_1 = require("./services/block-storage/block-storage-actions.service");
const block_storage_service_1 = require("./services/block-storage/block-storage.service");
const cdn_service_1 = require("./services/cdn/cdn.service");
const certificate_service_1 = require("./services/certificate/certificate.service");
const domain_record_service_1 = require("./services/domain/domain-record.service");
const domain_service_1 = require("./services/domain/domain.service");
const droplet_actions_service_1 = require("./services/droplet/droplet-actions.service");
const droplet_service_1 = require("./services/droplet/droplet.service");
const firewall_service_1 = require("./services/firewall/firewall.service");
const floating_ip_actions_service_1 = require("./services/floating-ip/floating-ip-actions.service");
const floating_ip_service_1 = require("./services/floating-ip/floating-ip.service");
const image_actions_service_1 = require("./services/image/image-actions.service");
const image_service_1 = require("./services/image/image.service");
const kubernetes_service_1 = require("./services/kubernetes/kubernetes.service");
const load_balancer_service_1 = require("./services/load-balancer/load-balancer.service");
const project_service_1 = require("./services/project/project.service");
const region_service_1 = require("./services/region/region.service");
const size_service_1 = require("./services/size/size.service");
const snapshot_service_1 = require("./services/snapshot/snapshot.service");
const ssh_service_1 = require("./services/ssh/ssh.service");
const tag_service_1 = require("./services/tag/tag.service");
class DigitalOcean {
    constructor(token, url = environment_1.API_BASE_URL) {
        this.token = token;
        axios_instance_1.instance.defaults.headers.common['Authorization'] = `Bearer ${this.token}`;
        axios_instance_1.instance.defaults.headers.common['Content-Type'] = `application/json`;
        axios_instance_1.instance.defaults.baseURL = url;
        this.account = new account_service_1.AccountService();
        this.actions = new actions_service_1.ActionService();
        this.billingHistory = new billing_history_service_1.BillingHistoryService();
        this.blockStorage = new block_storage_service_1.BlockStorageService();
        this.blockStorageActions = new block_storage_actions_service_1.BlockStorageActionService();
        this.cdn = new cdn_service_1.CdnService();
        this.certificates = new certificate_service_1.CertificateService();
        this.domains = new domain_service_1.DomainService();
        this.domainRecords = new domain_record_service_1.DomainRecordService();
        this.droplets = new droplet_service_1.DropletService();
        this.dropletActions = new droplet_actions_service_1.DropletActionService();
        this.firewalls = new firewall_service_1.FirewallService();
        this.floatingIPs = new floating_ip_service_1.FloatingIPService();
        this.floatingIPActions = new floating_ip_actions_service_1.FloatingIPActionService();
        this.images = new image_service_1.ImageService();
        this.imageActions = new image_actions_service_1.ImageActionService();
        this.kubernetes = new kubernetes_service_1.KubernetesService();
        this.loadBalancers = new load_balancer_service_1.LoadBalancerService();
        this.projects = new project_service_1.ProjectService();
        this.regions = new region_service_1.RegionService();
        this.sizes = new size_service_1.SizeService();
        this.snapshots = new snapshot_service_1.SnapshotService();
        this.ssh = new ssh_service_1.SshService();
        this.tags = new tag_service_1.TagService();
    }
}
exports.DigitalOcean = DigitalOcean;
//# sourceMappingURL=digitalocean.js.map