"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RESOURCE_PREFIX = exports.RESOURCE_TYPE = exports.ProjectPurpose = void 0;
/**
 * Various project purpose strings in enum form
 *
 * You can use as follows:
 *
 * ```js
 * import { ProjectPurpose } from 'digitalocean-js;
 *
 * console.log(ProjectPurpose.Website); // Prints "Website or blog"
 * ```
 */
var ProjectPurpose;
(function (ProjectPurpose) {
    ProjectPurpose["Trying"] = "Just trying out DigitalOcean";
    ProjectPurpose["Educational"] = "Class project / Educational purposes";
    ProjectPurpose["Website"] = "Website or blog";
    ProjectPurpose["WebApp"] = "Web Application";
    ProjectPurpose["Api"] = "Service or API";
    ProjectPurpose["Mobile"] = "Mobile Application";
    ProjectPurpose["MachineLearning"] = "Machine learning / AI / Data processing";
    ProjectPurpose["IoT"] = "IoT";
    ProjectPurpose["DevTooling"] = "Operational / Developer tooling";
})(ProjectPurpose = exports.ProjectPurpose || (exports.ProjectPurpose = {}));
/**
 * Defines the resource type keys
 */
var RESOURCE_TYPE;
(function (RESOURCE_TYPE) {
    RESOURCE_TYPE["DATABASE"] = "dbaas";
    RESOURCE_TYPE["DOMAIN"] = "domain";
    RESOURCE_TYPE["DROPLET"] = "droplet";
    RESOURCE_TYPE["FLOATING_IP"] = "floatingip";
    RESOURCE_TYPE["KUBERNETES_CLUSTER"] = "kubernetes";
    RESOURCE_TYPE["LOAD_BALANCER"] = "loadbalancer";
    RESOURCE_TYPE["SPACE"] = "space";
    RESOURCE_TYPE["VOLUME"] = "volume";
})(RESOURCE_TYPE = exports.RESOURCE_TYPE || (exports.RESOURCE_TYPE = {}));
/**
 * Defines the resource prefixes for various resource types
 */
var RESOURCE_PREFIX;
(function (RESOURCE_PREFIX) {
    RESOURCE_PREFIX["DATABASE"] = "do:dbaas:";
    RESOURCE_PREFIX["DOMAIN"] = "do:domain:";
    RESOURCE_PREFIX["DROPLET"] = "do:droplet:";
    RESOURCE_PREFIX["FLOATING_IP"] = "do:floatingip:";
    RESOURCE_PREFIX["KUBERNETES_CLUSTER"] = "do:kubernetes:";
    RESOURCE_PREFIX["LOAD_BALANCER"] = "do:loadbalancer:";
    RESOURCE_PREFIX["SPACE"] = "do:space:";
    RESOURCE_PREFIX["VOLUME"] = "do:volume:";
})(RESOURCE_PREFIX = exports.RESOURCE_PREFIX || (exports.RESOURCE_PREFIX = {}));
//# sourceMappingURL=project.js.map