import { Account } from '../../models/account';
export declare class AccountService {
    /**
     * Get the account information associated with the provided credentials
     *
     * ### Example
     * ```js
     * import { DigitalOcean } from 'digitalocean-js';
     *
     * const client = new DigitalOcean('your-api-key');
     * const account = await client.account.getUserInformation();
     * ```
     */
    getUserInformation(): Promise<Account>;
}
