"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AccountService = void 0;
const axios_instance_1 = require("../../axios-instance");
class AccountService {
    /**
     * Get the account information associated with the provided credentials
     *
     * ### Example
     * ```js
     * import { DigitalOcean } from 'digitalocean-js';
     *
     * const client = new DigitalOcean('your-api-key');
     * const account = await client.account.getUserInformation();
     * ```
     */
    async getUserInformation() {
        return axios_instance_1.instance.get('/account').then(response => response.data.account);
    }
}
exports.AccountService = AccountService;
//# sourceMappingURL=account.service.js.map