"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RegionService = void 0;
const axios_instance_1 = require("../../axios-instance");
class RegionService {
    /**
     * Get all regions
     *
     * ### Example
     * ```js
     * import { DigitalOcean } from 'digitalocean-js';
     *
     * const client = new DigitalOcean('your-api-key');
     * const regions = await client.regions.getAllRegions();
     * ```
     */
    getAllRegions() {
        return axios_instance_1.instance.get(`/regions`).then(response => response.data.regions);
    }
}
exports.RegionService = RegionService;
//# sourceMappingURL=region.service.js.map