"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SizeService = void 0;
const axios_instance_1 = require("../../axios-instance");
class SizeService {
    /**
     * Get all sizes
     *
     * ### Example
     * ```js
     * import { DigitalOcean } from 'digitalocean-js';
     *
     * const client = new DigitalOcean('your-api-key');
     * const sizes = await client.sizes.getAllSizes();
     * ```
     */
    getAllSizes() {
        return axios_instance_1.instance.get(`/sizes`).then(response => response.data.sizes);
    }
}
exports.SizeService = SizeService;
//# sourceMappingURL=size.service.js.map